// components.d.ts
declare module "@vue/runtime-core" {
    export interface GlobalComponents {
        RouterLink: typeof import("vue-router")["RouterLink"];
        RouterView: typeof import("vue-router")["RouterView"];
        Component: typeof import("vue")["component"];
        FontAwesomeIcon: typeof import("@fortawesome/vue-fontawesome")["FontAwesomeIcon"];
        FontAwesomeLayers: typeof import("@fortawesome/vue-fontawesome")["FontAwesomeLayers"];
        InputComp: typeof import("@/components/UI/InputComp.vue");
        InputFileComp: typeof import("@/components/UI/InputFileComp.vue");
        ButtonComp: typeof import("@/components/UI/ButtonComp.vue");
        ImageComp: typeof import("@/components/UI/ImageComp.vue");
        ModalComp: typeof import("@/components/UI/ModalComp.vue");
        SliderComp: typeof import("@/components/UI/Slider/SliderComp.vue");
        SliderTabComp: typeof import("@/components/UI/Slider/SliderTabComp.vue");
    }
}

export {};
